Summary: Finds and transfers RPM files for a specified program.
Name: rpmfind
Version: 1.4
Release: 3
Group: Applications/System
Source: ftp://rufus.w3.org/pub/rpmfind/rpmfind-%{version}.tar.gz
Source1: rpmfind.conf
URL: http://rufus.w3.org/linux/rpm2html/rpmfind.html
Copyright: W3C Copyright (BSD like).
Prefix: %{_prefix}
BuildPrereq: libxml >= 1.8.6
BuildRoot: /var/tmp/%{name}-root

%description
Rpmfind will query the local RPM database, or will request the
associated RDF file for a program on a remote database, for
information on a specified program.  Specifically, rpmfind will tell
you what packages are needed to install the program to satisfy all
dependencies and the size of the packages (so you can estimate
download time).  Rpmfind can then even download the packages for you.

%prep
%setup -q

%build

%configure --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT

install -d ${RPM_BUILD_ROOT}%{_prefix}/bin
install -s rpmfind ${RPM_BUILD_ROOT}%{_prefix}/bin

install -d ${RPM_BUILD_ROOT}/etc
install -c %SOURCE1 ${RPM_BUILD_ROOT}/etc/rpmfind.conf
chmod -x ${RPM_BUILD_ROOT}/etc/rpmfind.conf

install -d ${RPM_BUILD_ROOT}%{_prefix}/man/man1
install rpmfind.1  ${RPM_BUILD_ROOT}%{_prefix}/man/man1/rpmfind.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES Copyright README TODO 
%{_prefix}/bin/rpmfind
%{_prefix}/man/man1/rpmfind.1*
%config /etc/rpmfind.conf

%changelog
* Thu Feb 17 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Remove Packager: header (Bug #6371)

* Thu Feb 03 2000 Elliot Lee <sopwith@redhat.com>
- Fix bug #8650

* Mon Jan 31 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.4.
- add 6.2 configuration.
- revert to http://rpmfind.net/linux/RDF.

* Wed Oct  6 1999 Daniel Veillard <Daniel.Veillard@w3.org>
- Preparing 1.3 release
- Corrected a problem with the man installation
- Removed XML and WWW code and reuses libwww and libxml

* Sat Sep 25 1999 Jeff Johnson <jbj@redhat.com>
- default www.redhat.com/RDF config file (Adrian Likins).
- recompile with rpm-3.0.3-1.

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- move to Red Hat 6.1 distribution.

* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2.

* Fri Apr  8 1999 Daniel Veillard <Daniel.Veillard@w3.org>
- Added man page provided by Emmanuel Rouat

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
